# arm_biquad_casd_df1_inst_q15 Struct Reference

CMSIS-DSP: arm_biquad_casd_df1_inst_q15 Struct Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_biquad_casd_df1_inst_q15 Struct Reference

Instance structure for the Q15 Biquad cascade filter.

## Data Fields

int8_t | numStages
q15_t * | pState
const q15_t * | pCoeffs
int8_t | postShift

## Field Documentation

int8_t numStages

number of 2nd order stages in the filter. Overall order is 2*numStages.

const q15_t* pCoeffs

Points to the array of coefficients. The array is of length 5*numStages.

int8_t postShift

Additional shift, in bits, applied to each output sample.

q15_t* pState

Points to the array of state coefficients. The array is of length 4*numStages.